# Interface SubscriptionManager

interface SubscriptionManager {
subscribe(
command: SubscribeMessage,
unsubscribes: Unsubscribes,
errorCallback: (err: unknown) => void,
callback: SubscribeCallback,
user?: string,
): void;
unsubscribe(msg: UnsubscribeMessage, unsubscribes: Unsubscribes): void;
}

- Defined in subscriptionmanager.ts:5

##### Index

### Methods

subscribe
unsubscribe

## Methods

### subscribe

- subscribe(
  command: SubscribeMessage,
  unsubscribes: Unsubscribes,
  errorCallback: (err: unknown) => void,
  callback: SubscribeCallback,
  user?: string,
  ): void

  #### Parameters

  - command: SubscribeMessage
  - unsubscribes: Unsubscribes
  - errorCallback: (err: unknown) => void
  - callback: SubscribeCallback
  - `Optional` user: string

  #### Returns void

  - Defined in subscriptionmanager.ts:6

### unsubscribe

- unsubscribe(msg: UnsubscribeMessage, unsubscribes: Unsubscribes): void

  #### Parameters

  - msg: UnsubscribeMessage
  - unsubscribes: Unsubscribes

  #### Returns void

  - Defined in subscriptionmanager.ts:14